Subject: bug#55412: 28.1; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work properly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 15:35:20 +0300

> Date: Sat, 21 May 2022 11:25:22 -0000
> From: [email-masked]
> Cc: martin rudalics <[email-masked]>, [email-masked]
> 
> I needed to move back to Emacs 27.2 because there are some other bugs
> in 28.1 that I have no idea how to properly report:
> 
> - Emacs 28.1 most often crashes after loading a .emacs.desktop.
> 
>   It doesn't crash without a .emacs.desktop or with a simple one, but
>   at the moment I cannot start 28.1 on any of my usual .emacs.desktop
>   files without a crash. I suspect only a reboot will solve that.
> 
>   After the last reboot, I could start 28.1 once with a complex
>   .emacs.desktop, for a second (simultaneous) Emacs instance with a
>   different .emacs.desktop I had to use Emacs 27.2.
> 
>   Would it help to supply one of the crash dumps that macOS displayed
>   and how would I submit such a bug report?
> 
> - The second bug concerns .emacs.desktop.lock files. For some reason,
>   28.1 doesn't remove the lock file when exiting.
> 
>   Obviously, this isn't reproducible with `emacs -Q`. Again, how would
>   I submit such a bug report?

Yes, please submit bug reports for those issues with as much relevant
support data as you can, including any relevant customizations.  E.g.,
for desktop.el-related issues, please post the .emacs.desktop file
that causes those issues.

Thanks.

FTR, Emacs 28 never crashed on me due to anything related to
desktop.el, which I use all the time.  I also never saw any problems
with removing .emacs.desktop.lock with v28.1.